Page MenuHomePhabricator

Help panel: text on mobile is behaving like a link
Closed, ResolvedPublic

Description

In the first screen on mobile, the text that reads "Top help pages about editing" clicks like a link when tapped, even though it's just a header and not a link.

Event Timeline

RHo created this task.Jan 3 2019, 9:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 3 2019, 9:27 PM
kostajh added a subscriber: kostajh.

This is occurring because label elements on mobile OOUI are tapable. I suppose we should remove the label and add a header element.

RHo triaged this task as Lowest priority.Jan 4 2019, 6:24 PM
MMiller_WMF renamed this task from BUG: Help panel: text on mobile is behaving like a link to Help panel: text on mobile is behaving like a link.Jan 4 2019, 10:45 PM

Change 483522 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@master] [proof of concept] TextWidget

https://gerrit.wikimedia.org/r/483522

Change 483522 abandoned by Sbisson:
[proof of concept] TextWidget

https://gerrit.wikimedia.org/r/483522

SBisson removed SBisson as the assignee of this task.Jan 11 2019, 2:02 PM
SBisson removed a project: Patch-For-Review.

Change 485073 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] Help Panel: Output help links as plain elements, not in form layout

https://gerrit.wikimedia.org/r/485073

Change 485073 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Help Panel: Output help links as plain elements, not in form layout

https://gerrit.wikimedia.org/r/485073

Etonkovidova closed this task as Resolved.Jan 19 2019, 1:39 AM